<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>A-Index</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="../view/AccueilView.html" title="class in view"><span class="typeNameLink">AccueilView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/AccueilView.html#AccueilView--">AccueilView()</a></span> - Constructor for class view.<a href="../view/AccueilView.html" title="class in view">AccueilView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/CentreCommercial.html#acheter-back.Joueur-">acheter(Joueur)</a></span> - Method in class back.<a href="../back/CentreCommercial.html" title="class in back">CentreCommercial</a></dt>
<dd>
<div class="block">Méthode d'achat d'un centre commercial.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Propriete.html#acheter-back.Joueur-">acheter(Joueur)</a></span> - Method in class back.<a href="../back/Propriete.html" title="class in back">Propriete</a></dt>
<dd>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Salle.html#acheter-back.Joueur-">acheter(Joueur)</a></span> - Method in class back.<a href="../back/Salle.html" title="class in back">Salle</a></dt>
<dd>
<div class="block">Methode d'achat d'une Salle.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Service.html#acheter-back.Joueur-">acheter(Joueur)</a></span> - Method in class back.<a href="../back/Service.html" title="class in back">Service</a></dt>
<dd>
<div class="block">Méthode d'achat d'un Service.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#acheter-back.Joueur-back.Propriete-">acheter(Joueur, Propriete)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionAcheterView.html" title="class in view"><span class="typeNameLink">ActionAcheterView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAcheterView.html#ActionAcheterView-back.Joueur-back.Propriete-">ActionAcheterView(Joueur, Propriete)</a></span> - Constructor for class view.<a href="../view/ActionAcheterView.html" title="class in view">ActionAcheterView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionAmeliorerView.html" title="class in view"><span class="typeNameLink">ActionAmeliorerView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAmeliorerView.html#ActionAmeliorerView-back.Joueur-int-">ActionAmeliorerView(Joueur, int)</a></span> - Constructor for class view.<a href="../view/ActionAmeliorerView.html" title="class in view">ActionAmeliorerView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionAvancerView.html" title="class in view"><span class="typeNameLink">ActionAvancerView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAvancerView.html#ActionAvancerView-back.Joueur-">ActionAvancerView(Joueur)</a></span> - Constructor for class view.<a href="../view/ActionAvancerView.html" title="class in view">ActionAvancerView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ConfigView.html#actionBoutonConfig-view.Bouton-view.Bouton-">actionBoutonConfig(Bouton, Bouton)</a></span> - Method in class view.<a href="../view/ConfigView.html" title="class in view">ConfigView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Case.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/Case.html" title="class in back">Case</a></dt>
<dd>
<div class="block">Méthode d'action de la case.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Action de la case.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Depart.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/Depart.html" title="class in back">Depart</a></dt>
<dd>
<div class="block">Méthode d'action de la case.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Interactif.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/Interactif.html" title="class in back">Interactif</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Propriete.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/Propriete.html" title="class in back">Propriete</a></dt>
<dd>
<div class="block">Méthode d'action de la case.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/SalleDeDS.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/SalleDeDS.html" title="class in back">SalleDeDS</a></dt>
<dd>
<div class="block">Methode d'action de la case.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/TaxeDeLuxe.html#actionCase-back.Joueur-">actionCase(Joueur)</a></span> - Method in class back.<a href="../back/TaxeDeLuxe.html" title="class in back">TaxeDeLuxe</a></dt>
<dd>
<div class="block">Fait payer au joueur la taxe.</div>
</dd>
<dt><a href="../view/ActionChanceView.html" title="class in view"><span class="typeNameLink">ActionChanceView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionChanceView.html#ActionChanceView-back.Chance-back.Joueur-">ActionChanceView(Chance, Joueur)</a></span> - Constructor for class view.<a href="../view/ActionChanceView.html" title="class in view">ActionChanceView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionPayerView.html" title="class in view"><span class="typeNameLink">ActionPayerView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionPayerView.html#ActionPayerView-back.Joueur-back.Propriete-">ActionPayerView(Joueur, Propriete)</a></span> - Constructor for class view.<a href="../view/ActionPayerView.html" title="class in view">ActionPayerView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionVendreView.html" title="class in view"><span class="typeNameLink">ActionVendreView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionVendreView.html#ActionVendreView-back.Joueur-int-back.Propriete-">ActionVendreView(Joueur, int, Propriete)</a></span> - Constructor for class view.<a href="../view/ActionVendreView.html" title="class in view">ActionVendreView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/ActionView.html" title="class in view"><span class="typeNameLink">ActionView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#ActionView-back.Joueur-">ActionView(Joueur)</a></span> - Constructor for class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/PlateauView.html#afficheAction-view.ActionView-">afficheAction(ActionView)</a></span> - Static method in class view.<a href="../view/PlateauView.html" title="class in view">PlateauView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Joueur.html#afficher_info--">afficher_info()</a></span> - Method in class back.<a href="../back/Joueur.html" title="class in back">Joueur</a></dt>
<dd>
<div class="block">La méthode afficher_info() permet d'afficher les informations de la classe</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/GameView.html#afficherFiche-javafx.scene.Node-">afficherFiche(Node)</a></span> - Method in class view.<a href="../view/GameView.html" title="class in view">GameView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/SalleDeDS.html#ajouterJoueurEnDS-back.Joueur-">ajouterJoueurEnDS(Joueur)</a></span> - Static method in class back.<a href="../back/SalleDeDS.html" title="class in back">SalleDeDS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Salle.html#ajouterMateriel--">ajouterMateriel()</a></span> - Method in class back.<a href="../back/Salle.html" title="class in back">Salle</a></dt>
<dd>
<div class="block">Ajoute un matériel s'il y a moins de 3 matériels.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/CaseView.html#ajouterPion-view.Pion-">ajouterPion(Pion)</a></span> - Method in class view.<a href="../view/CaseView.html" title="class in view">CaseView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Partie.html#ajouterRegle-back.Partie.ReglesAdditionnelles-">ajouterRegle(Partie.ReglesAdditionnelles)</a></span> - Method in class back.<a href="../back/Partie.html" title="class in back">Partie</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Joueur.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance(CarteChance)</a></span> - Method in class back.<a href="../back/Joueur.html" title="class in back">Joueur</a></dt>
<dd>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaires pour lancer la  méthode ajouterCarteChance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance(CarteChance)</a></span> - Method in class back.<a href="../back/Statistiques.html" title="class in back">Statistiques</a></dt>
<dd>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaire pour lancer la méthode ajouterCarteChance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Joueur.html#ajouterUneMatiere-back.Propriete-">ajouterUneMatiere(Propriete)</a></span> - Method in class back.<a href="../back/Joueur.html" title="class in back">Joueur</a></dt>
<dd>
<div class="block">Méthode ajouterUneMatiere permet d'effectuer les tests afin de lancer la méthode ajouterMatière.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneSalleAchete-back.Propriete-">ajouterUneSalleAchete(Propriete)</a></span> - Method in class back.<a href="../back/Statistiques.html" title="class in back">Statistiques</a></dt>
<dd>
<div class="block">Méthode ajouterUneSalleAchete permet d'effectuer les tests nécessaire pour lancer la méthode ajouterSalleAchete.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUneSalleVendue-back.Propriete-">ajouterUneSalleVendue(Propriete)</a></span> - Method in class back.<a href="../back/Statistiques.html" title="class in back">Statistiques</a></dt>
<dd>
<div class="block">Méthode ajouterUneSalleVendue permet d'effectuer les tests necessaire pour lancer la méthode ajouterSalleVendue.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Partie.html#ajouterUnJoueur-back.Joueur-">ajouterUnJoueur(Joueur)</a></span> - Method in class back.<a href="../back/Partie.html" title="class in back">Partie</a></dt>
<dd>
<div class="block">Permet d'ajouter un Joueur a l'ArrayList de Joueur.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Statistiques.html#ajouterUnMateriel-java.lang.String-">ajouterUnMateriel(String)</a></span> - Method in class back.<a href="../back/Statistiques.html" title="class in back">Statistiques</a></dt>
<dd>
<div class="block">Méthode ajouterUnMateriel permet d'ajouter un matèriel dans le hashMap materielAcheter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#ameliorer-back.Joueur-int-">ameliorer(Joueur, int)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAmeliorerView.html#ameliorerProprietes-back.Joueur-">ameliorerProprietes(Joueur)</a></span> - Method in class view.<a href="../view/ActionAmeliorerView.html" title="class in view">ActionAmeliorerView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAmeliorerView.html#ameliorerProprietes-back.Joueur-boolean-">ameliorerProprietes(Joueur, boolean)</a></span> - Method in class view.<a href="../view/ActionAmeliorerView.html" title="class in view">ActionAmeliorerView</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/AngleView.html" title="class in view"><span class="typeNameLink">AngleView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/AngleView.html#AngleView-back.Case-">AngleView(Case)</a></span> - Constructor for class view.<a href="../view/AngleView.html" title="class in view">AngleView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionAmeliorerView.html#auto-back.Joueur-">auto(Joueur)</a></span> - Method in class view.<a href="../view/ActionAmeliorerView.html" title="class in view">ActionAmeliorerView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionVendreView.html#auto-back.Joueur-">auto(Joueur)</a></span> - Method in class view.<a href="../view/ActionVendreView.html" title="class in view">ActionVendreView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#avancer-back.Joueur-">avancer(Joueur)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#avancerReculer-back.Joueur-">avancerReculer(Joueur)</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Méthode permettant d'envoyer un joueur à une salle précise.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#avancerReculerTexte-back.Joueur-">avancerReculerTexte(Joueur)</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Méthode qui permet de remplacer le texte des cartes chance ayant un impact sur la position du joueur.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
